Summary: The zlib compression and decompression library.
Name: zlib
Vendor: Guardian Digital, Inc.
Packager: Guardian Digital, Inc. <http://www.linuxseclabs.com>
Version: 1.1.3
Release: 1.0.4
Group: System Environment/Libraries
Source: ftp://ftp.uu.net/graphics/png/zlib-%{version}.tar.gz
Patch0: zlib-1.1.3-glibc.patch
Patch1: zlib-1.1.3-Makefile.patch
Patch2: zlib-1.1.3-doublefree.diff
Url: http://www.cdrom.com/pub/infozip/zlib/
Copyright: BSD
Buildroot: /var/tmp/zlib-root

%description
The zlib compression library provides in-memory compression and
decompression functions, including integrity checks of the
uncompressed data.  This version of the library supports only one
compression method (deflation), but other algorithms may be added
later, which will have the same stream interface.  The zlib library is
used by many different system programs.


%prep
%setup -q
%patch0 -p1 -b .glibc
%patch1 -p1 -b .makefile
%patch2 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --shared --prefix=/usr
make
# now build the static lib
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr

./configure --shared --prefix=/usr
make install prefix=$RPM_BUILD_ROOT/usr

./configure --prefix=/usr
make install prefix=$RPM_BUILD_ROOT/usr

install -m644 zutil.h $RPM_BUILD_ROOT/usr/include/zutil.h
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man3
install -m644 zlib.3 $RPM_BUILD_ROOT%{_mandir}/man3

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
/usr/lib/libz.so.*

%doc README ChangeLog algorithm.txt
/usr/lib/*.so
/usr/include/*
/usr/lib/*.a
%doc %{_mandir}/man3/zlib.3*

%changelog
* Fri Feb 08 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.1.3, Release 1.0.4
  - Fix double free in infblock.c.
  - Removed pre-EnGarde changelog.

* Fri Jul 14 2000 Pete O'Hara <pete@guardiandigital.com>
- removed "devel" package for Guardian Digital Lockbox

* Mon Feb  7 2000 Jeff Johnson <jbj@redhat.com>
- compress man page.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Wed Sep 09 1998 Cristian Gafton <gafton@redhat.com>
- link against glibc

* Mon Jul 27 1998 Jeff Johnson <jbj@redhat.com>
- upgrade to 1.1.3

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 08 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 1.1.2
- buildroot

* Tue Oct 07 1997 Donnie Barnes <djb@redhat.com>
- added URL tag (down at the moment so it may not be correct)
- made zlib-devel require zlib

* Thu Jun 19 1997 Erik Troan <ewt@redhat.com>
- built against glibc
